# $Id$
#
# Set the title of an xterm to the hostname.
#

SSH_FORWARDED=$(get_remote_ip -n)
if [ ! -z "$SSH_FORWARDED" ]; then
  if [ ! "$SSH_FORWARDED" = "62.189.242.202" -a ! "$SSH_FORWARDED" = "62.189.241.202" -a ! "$SSH_FORWARDED" = "193.128.72.68" -a ! "$SSH_FORWARDED" = "localhost" ]; then
    SSH_FORWARDED=" (from $SSH_FORWARDED)"
  else
    SSH_FORWARDED=
  fi
fi

# Unscientific check for grid jobs.
case ${SSH_CLIENT##* } in
  ""|22|2222);;
  *) SSH_FORWARDED="$SSH_FORWARDED [grid]"
esac

info="$HOSTNAME$SSH_FORWARDED"

# Check for vim.
vimchild=" [vim]"
if ps -o comm= -p $PPID 2>/dev/null | grep '^vim*$' &>/dev/null; then
  # Clear [vim] when exiting.
  trap "echo -ne '\\033]0;$info\\033\\0134'" exit
  info="$info$vimchild"
fi
if [ "${TERM##screen}" = "$TERM" ]; then
  export PROMPT_COMMAND="echo -ne '\033]0;$info\033\0134\r\033[K'"
else
  export PROMPT_COMMAND='echo -ne "\033k\033\0134"'
fi
unset blank info vimchild SSH_FORWARDED

# Actual dtterm barfs on escape sequences.
if [ "$TERMINAL_EMULATOR" = "dtterm" ]; then
  unset PROMPT_COMMAND
fi
